GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_subchannel Struct Reference

## Data Fields
grpc_connector * | connector
const grpc_channel_filter ** | filters
| non-transport related channel filters More...
size_t | num_filters
grpc_channel_args * | args
| channel arguments More...
struct sockaddr * | addr
| address to connect to More...
size_t | addr_len
grpc_mdctx * | mdctx
| metadata context More...
grpc_channel * | master
| master channel - the grpc_channel instance that ultimately owns this channel_data via its channel stack. More...
int | disconnected
| have we seen a disconnection? More...
grpc_connect_out_args | connecting_result
| set during connection More...
grpc_iomgr_closure | connected
| callback for connection finishing More...
grpc_pollset_set * | pollset_set
| pollset_set tracking who's interested in a connection being setup - owned by the master channel (in particular the client_channel filter there-in) More...
gpr_mu | mu
| mutex protecting remaining elements More...
connection * | active
| active connection More...
size_t | active_version
| version number for the active connection More...
int | refs
| refcount More...
int | connecting
| are we connecting More...
waiting_for_connect * | waiting
| things waiting for a connection More...
grpc_connectivity_state_tracker | state_tracker
| connectivity state tracking More...
gpr_timespec | next_attempt
| next connect attempt time More...
gpr_timespec | backoff_delta
| amount to backoff each failure More...
int | have_alarm
| do we have an active alarm? More...
grpc_alarm | alarm
| our alarm More...
gpr_uint32 | random
| current random value More...

## Field Documentation

connection* grpc_subchannel::active

active connection

size_t grpc_subchannel::active_version

version number for the active connection

struct sockaddr* grpc_subchannel::addr

address to connect to

size_t grpc_subchannel::addr_len

grpc_alarm grpc_subchannel::alarm

our alarm

grpc_channel_args* grpc_subchannel::args

channel arguments

gpr_timespec grpc_subchannel::backoff_delta

amount to backoff each failure

grpc_iomgr_closure grpc_subchannel::connected

callback for connection finishing

int grpc_subchannel::connecting

are we connecting

grpc_connect_out_args grpc_subchannel::connecting_result

set during connection

grpc_connector* grpc_subchannel::connector

int grpc_subchannel::disconnected

have we seen a disconnection?

const grpc_channel_filter** grpc_subchannel::filters

non-transport related channel filters

int grpc_subchannel::have_alarm

do we have an active alarm?

grpc_channel* grpc_subchannel::master

master channel - the grpc_channel instance that ultimately owns this channel_data via its channel stack.

We occasionally use this to bump the refcount on the master channel to keep ourselves alive through an asynchronous operation.

grpc_mdctx* grpc_subchannel::mdctx

metadata context

gpr_mu grpc_subchannel::mu

mutex protecting remaining elements

gpr_timespec grpc_subchannel::next_attempt

next connect attempt time

size_t grpc_subchannel::num_filters

grpc_pollset_set* grpc_subchannel::pollset_set

pollset_set tracking who's interested in a connection being setup - owned by the master channel (in particular the client_channel filter there-in)

gpr_uint32 grpc_subchannel::random

current random value

int grpc_subchannel::refs

refcount

grpc_connectivity_state_tracker grpc_subchannel::state_tracker

connectivity state tracking

waiting_for_connect* grpc_subchannel::waiting

things waiting for a connection

The documentation for this struct was generated from the following file:

- src/core/client_config/subchannel.c